com.r3corda.node.services.persistence / DataVending / Service / NotifyTxRequestMessage

# NotifyTxRequestMessage

`data class NotifyTxRequestMessage : PartyRequestMessage`

### Constructors

<init> | `NotifyTxRequestMessage(tx: SignedTransaction, replyToParty: Party, sessionID: Long)`

### Properties

replyToParty | `val replyToParty: Party`
sessionID | `val sessionID: Long`
tx | `val tx: SignedTransaction`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`